CatalogPrice Lists
Update price list
Replaces the list's scope, validity, rules and prices; responds 204 with no body.
Path Parameters
priceListId*string
Header Parameters
x-Store-Id?string
Store the request acts on. Not needed when the token is bound to a store.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X PUT "https://api.ecomiq.pe/api/v1/catalog/price-lists/7204558912004321135" \ -H "x-Store-Id: <store-id>" \ -H "Authorization: Bearer <token>" \ -H "Content-Type: application/json" \ -d '{ "name": "Mayoristas", "currency": "PEN", "isActive": true, "priority": 1, "scope": "product", "customerId": "7204558912004326262", "productId": "7204558912004322039", "productIds": [ "7204558912004322039" ] }'Empty